<%@ Page Language="C#" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>RadScheduler Scrolling</title>    
</head>
<body>
    <form id="form1" runat="server">
		<telerik:RadScriptManager ID="ScriptManager1" runat="server" />
		
		<telerik:RadScheduler runat="server"
			ID="RadScheduler1"
			Width="100%" Height="100%" OverflowBehavior="Expand"
			SelectedDate="2007-03-30" DayEndTime="19:00:00"
			DayStartTime="08:00:00"
			SelectedView="TimelineView" ShowViewTabs="false" WeekHeaderDateFormat="dd.MM"
			ProviderName="ReadOnlyXmlSchedulerProvider"
			ColumnWidth="200px">
			<TimelineView
				SlotDuration="01:00" ColumnHeaderDateFormat="hh:mm" NumberOfSlots="11" />
		</telerik:RadScheduler>
		
		<a href="#" id="scrollLeftButton">Scroll left</a> <a href="#" id="scrollRightButton">Scroll right</a>
		
		<script type="text/javascript">

			(function($) {

				var container = $("#<%= RadScheduler1.ClientID %> .rsContentScrollArea").get(0);

				$("#scrollLeftButton").click(function() {
					container.scrollLeft -= 10;
				});

				$("#scrollRightButton").click(function() {
					container.scrollLeft += 10;
				});

			})($telerik.$);
		
		</script>
    </form>
</body>
</html>
